summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorPeter Tillemans <pti@snamellit.com>2012-06-18 10:45:07 +0200
committerPeter Tillemans <pti@snamellit.com>2012-06-18 10:45:07 +0200
commit8b69c7f6a0c80c1c53505e17d356387b83e18efc (patch)
treec76fc91c12ef4f1ecc52f888a92c3472f8ae8c55 /tools
parent3f42fd000c2110ec8647d341cb69a31ebbbe9b4e (diff)
parente8d582aba98d57214a374bed01570ba791c54d9e (diff)
downloadzsh-8b69c7f6a0c80c1c53505e17d356387b83e18efc.tar.gz
zsh-8b69c7f6a0c80c1c53505e17d356387b83e18efc.tar.bz2
zsh-8b69c7f6a0c80c1c53505e17d356387b83e18efc.zip
Merge branch 'master' of https://github.com/robbyrussell/oh-my-zsh
Diffstat (limited to 'tools')
-rwxr-xr-xtools/install.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/tools/install.sh b/tools/install.sh
index aedb706da..8ca427d2c 100755
--- a/tools/install.sh
+++ b/tools/install.sh
@@ -5,7 +5,13 @@ then
fi
echo "\033[0;34mCloning Oh My Zsh...\033[0m"
-/usr/bin/env git clone https://github.com/robbyrussell/oh-my-zsh.git ~/.oh-my-zsh
+which git > /dev/null
+if [[ $? -eq 0 ]]; then
+ /usr/bin/env git clone https://github.com/robbyrussell/oh-my-zsh.git ~/.oh-my-zsh
+else
+ echo "git not installed"
+ exit
+fi
echo "\033[0;34mLooking for an existing zsh config...\033[0m"
if [ -f ~/.zshrc ] || [ -h ~/.zshrc ]